Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.account.management
Interface ApplicationSessionMBean

public interface ApplicationSessionMBean

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Field Summary
`static int` | `expiryTime` Session expiry time.
`static boolean` | `sessionRequired` Are sessions required to use this WLNG?
`static int` | `validityTime` Session validity time.

Method Summary
`int` | `countApplicationSessions(String applicationIdentifier, String serviceProviderIdentifier)` Count active sessions.
`void` | `destroyApplicationInstanceSession(String applicationInstanceName)` Destroy a current application instance session.
`void` | `destroyApplicationSessions(String applicationIdentifier, String serviceProviderIdentifier)` Destroy all current sessions for application.
`void` | `destroyServiceProviderSessions(String serviceProviderIdentifier)` Destroy a current session.
`void` | `destroySession(String sessionIdentifier)` Destroy a current session.
`SessionDescription` | `getApplicationInstanceSession(String applicationInstanceName)` Get currently active or invalid session for specified application instance.
`SessionDescription` | `getCurrentSession(String sessionIdentifier)` Get active or invalid session.
`int` | `getExpiryTime()` Get session expiry time.
`int` | `getValidityTime()` Get session validity time.
`boolean` | `isSessionRequired()` Are sessions required to use this WLNG?
`String[]` | `listApplicationSessions(String applicationIdentifier, String serviceProviderIdentifier, int offset, int size)` List active sessions.
`void` | `setExpiryTime(int time)` Set session expiry time.
`void` | `setSessionRequired(boolean flag)` Are sessions required to use this WLNG?
`void` | `setValidityTime(int time)` Set session validity time.

Field Detail

### expiryTime

    public static final int expiryTime

  Session expiry time. Time (minutes) until invalid sessions are removed.

  See Also:
    Constant Field Values

### sessionRequired

    public static final boolean sessionRequired

  Are sessions required to use this WLNG?

  See Also:
    Constant Field Values

### validityTime

    public static final int validityTime

  Session validity time. Time (minutes) from creation until sessions are invalidated.

  See Also:
    Constant Field Values

Method Detail

### countApplicationSessions

    public int countApplicationSessions(String applicationIdentifier,
                                        String serviceProviderIdentifier)
                                 throws KeyNotFoundException

  Count active sessions.

  Parameters:
    `applicationIdentifier` - The account (optional).
    `serviceProviderIdentifier` - The service provider ID (optional).
  Returns:
    The number of sessions for specified filter.
  Throws:
    `KeyNotFoundException` - If no such account exists.

### destroyApplicationInstanceSession

    public void destroyApplicationInstanceSession(String applicationInstanceName)
                                           throws KeyNotFoundException

  Destroy a current application instance session.

  Parameters:
    `applicationInstanceName` - The application instance name for which to destroy the session.
  Throws:
    `KeyNotFoundException` - If no such application instance exists.

### destroyApplicationSessions

    public void destroyApplicationSessions(String applicationIdentifier,
                                           String serviceProviderIdentifier)
                                    throws KeyNotFoundException

  Destroy all current sessions for application.

  Parameters:
    `applicationIdentifier` - The application for which to destroy sessions.
    `serviceProviderIdentifier` - The application service provider.
  Throws:
    `KeyNotFoundException` - If no such account exists.

### destroyServiceProviderSessions

    public void destroyServiceProviderSessions(String serviceProviderIdentifier)
                                        throws KeyNotFoundException

  Destroy a current session.

  Parameters:
    `serviceProviderIdentifier` - The application for which to destroy sessions.
  Throws:
    `KeyNotFoundException` - If no such account exists.

### destroySession

    public void destroySession(String sessionIdentifier)
                        throws KeyNotFoundException

  Destroy a current session.

  Parameters:
    `sessionIdentifier` - The session to destroy.
  Throws:
    `KeyNotFoundException` - If no such session exists.

### getApplicationInstanceSession

    public SessionDescription getApplicationInstanceSession(String applicationInstanceName)

  Get currently active or invalid session for specified application instance.

  Parameters:
    `applicationInstanceName` - The application instance name.
  Returns:
    The active session or null if no session exists.

### getCurrentSession

    public SessionDescription getCurrentSession(String sessionIdentifier)

  Get active or invalid session.

  Parameters:
    `sessionIdentifier` - The session ID.
  Returns:
    The session.

### getExpiryTime

    public int getExpiryTime()

  Get session expiry time.

  Returns:
    validity time in minutes before sessions are removed after invalidation.

### getValidityTime

    public int getValidityTime()

  Get session validity time. Invalid sessions are refreshable until having been invalid for expiry time.

  Returns:
    validity time in minutes before sessions are invalidated. 0 means no expiry.

### isSessionRequired

    public boolean isSessionRequired()

  Are sessions required to use this WLNG?

  Returns:
    True if sessions are required to use plug-ins, false if not.

### listApplicationSessions

    public String[] listApplicationSessions(String applicationIdentifier,
                                            String serviceProviderIdentifier,
                                            int offset,
                                            int size)
                                     throws KeyNotFoundException

  List active sessions.

  Parameters:
    `applicationIdentifier` - The account (optional).
    `serviceProviderIdentifier` - The service provider (optional).
    `offset` - Offset in complete resultset. Must be >= 0.
    `size` - Number of entries to return. 0 means no limit.
  Returns:
    The sessions matching the specified filter.
  Throws:
    `KeyNotFoundException` - If no such account exists.

### setExpiryTime

    public void setExpiryTime(int time)

  Set session expiry time.

  Parameters:
    `time` - Expiry time in minutes before sessions are removed after invalidation.

### setSessionRequired

    public void setSessionRequired(boolean flag)

  Are sessions required to use this WLNG?

  Parameters:
    `flag` - True if sessions should be required to use plug-ins, false if not.

### setValidityTime

    public void setValidityTime(int time)

  Set session validity time. Invalid sessions are refreshable until having been invalid for expiry time.

  Parameters:
    `time` - Validity time in minutes before sessions are invalidated. Use 0 for no expiry.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD